[Setup]
AppName=Phoenixp2p_OEM
AppVerName=Phoenixp2p_OEM 2015.10.16
AppPublisher=www.phoenixp2p.com
AppPublisherURL=http://www.phoenixp2p.com/
AppSupportURL=http://www.phoenixp2p.com/cn/index.htm
AppUpdatesURL=http://www.phoenixp2p.com/cn/download.htm
AppCopyright=Copyright (C) 2006-2015 YuSheng
AppVersion=2015.10.16
AppId=Phoenixp2p_OEM
DefaultDirName={pf}\Phoenixp2p
DefaultGroupName=Phoenixp2p
;InfoBeforeFile=D:\vc\InstallFile.rtf
InfoBeforeFile=Clientinfo.rtf
;readme.rtf

LicenseFile=license.rtf
;InfoAfterFile=update.rtf
OutputDir=OEM_release
OutputBaseFilename=oemsetup
Compression=lzma/normal
SolidCompression=yes
ArchitecturesAllowed=x86 x64
ArchitecturesInstallIn64BitMode=x64
MinVersion=0,5.01
WizardImageFile=chead.bmp
VersionInfoVersion=2015.10.16
VersionInfoDescription="PhoenixP2p_oem desktop edition"
PrivilegesRequired=admin

[Languages]
Name: "chinese"; MessagesFile: "compiler:Languages\Chinese.isl"
Name: "english"; MessagesFile: "compiler:Default.isl"

;ʹ runhidden   ں̨Уȡpostinstall

[Registry]
Root:HKCR;Subkey: "ut"; ValueType: String; ValueData: "Phoenixp2p url protocol";Flags: deletekey uninsdeletekey

Root:HKCR;Subkey: "ut"; ValueType: String; ValueName: "URL Protocol";Flags: deletekey uninsdeletekey

Root:HKCR;Subkey:"ut\shell\open\command";ValueType: String  ;ValueData: """{app}\desktop\vurlopen.exe"" %1";Flags: deletekey uninsdeletekey

Root:HKCR;Subkey: "uvod"; ValueType: String; ValueData: "Phoenixp2p url protocol";Flags: deletekey uninsdeletekey

Root:HKCR;Subkey: "uvod"; ValueType: String; ValueName: "URL Protocol";Flags: deletekey uninsdeletekey

Root:HKCR;Subkey:"uvod\shell\open\command";ValueType: String ;ValueData: """{app}\desktop\vurlopen.exe"" %1";Flags: deletekey uninsdeletekey
;
;Root: HKCR; Subkey: "*.rmvb"; ValueType: String; ValueData: "Real ýļ";Flags: uninsdeletekey

[Run]
Filename: "{sys}\netsh.exe"; Parameters: "firewall add allowedprogram ""{app}\desktop\PhoenixP2p.exe"" ""Phoenixp2p program"" ENABLE ALL";   Components: desktop32 or desktop64 ; Description: "Add PhoenixP2P to firewall";   StatusMsg: "Add desktop program to firewall......"; Flags: postinstall runhidden runascurrentuser; OnlyBelowVersion: 0,5.5
;MinVersion: 0,5.01.2600sp2; 
Filename: "{sys}\netsh.exe"; Parameters: "firewall add portopening protocol = UDP port = 65108 name = Phoenix_p2p_udp_port mode= ENABLE" ; Components: desktop32 or desktop64  ;Description: "Add PhoenixP2P(port) to firewall";   StatusMsg: "Add an exception to the Windows Firewall"; Flags: postinstall runhidden runascurrentuser; OnlyBelowVersion: 0,5.5
;MinVersion: 0,5.01.2600sp2; 
Filename: "{sys}\netsh.exe"; Parameters: "firewall add allowedprogram ""{app}\desktop\UdpMark.exe"" ""UdpMark program"" ENABLE ALL";   Components: desktop32 or desktop64 ; Description: "Add UdpMark to firewall";   StatusMsg: "Add UdpMark to firewall......"; Flags: postinstall runhidden runascurrentuser; OnlyBelowVersion: 0,5.5


;VISTAϲϵͳĸ߼ǽ
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall add rule program=""{app}\desktop\PhoenixP2p.exe"" ""description=Phoenixp2p(udp)"" name=Phoenix_udp_open dir=in protocol=udp action=allow profile=any";   Components: desktop32 or desktop64 ; Description: "Add PhoenixP2P udp to firewall";   StatusMsg: "Add desktop program to firewall......"; Flags: postinstall runhidden runascurrentuser; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall add rule program=""{app}\desktop\PhoenixP2p.exe"" ""description=Phoenixp2p(tcp)"" name=Phoenix_tcp_open dir=in protocol=tcp action=allow profile=any";   Components: desktop32 or desktop64 ; Description: "Add PhoenixP2P tcp to firewall";   StatusMsg: "Add desktop program to firewall......"; Flags: postinstall runhidden runascurrentuser; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall add rule ""description=Phoenixp2p(phoenixcore)"" name=Phoenix_udplisten_open dir=in protocol=udp localport=65108 action=allow profile=any";   Components: desktop32 or desktop64 ; Description: "Add PhoenixCore udp port to firewall";   StatusMsg: "Add desktop program to firewall......"; Flags: postinstall runhidden runascurrentuser; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall add rule program=""{app}\desktop\UdpMark.exe"" ""description=UdpMark(udp)"" name=UdpMark_udp_open dir=in protocol=udp action=allow profile=any";   Components: desktop32 or desktop64 ; Description: "Add UdpMark udp to firewall";   StatusMsg: "Add UdpMark to firewall......"; Flags: postinstall runhidden runascurrentuser; MinVersion: 0,6.0 







[UninstallRun]
Filename: {sys}\netsh.exe; Parameters: "firewall delete allowedprogram program=""{app}\desktop\PhoenixP2p.exe";  Components: desktop32 or desktop64  ;   Flags: skipifdoesntexist runhidden runascurrentuser; OnlyBelowVersion:0,5.5

Filename: "{sys}\netsh.exe"; Parameters: "firewall delete portopening protocol = UDP port = 65108 " ;   Components: desktop32 or desktop64  ;   Flags: skipifdoesntexist runhidden runascurrentuser;OnlyBelowVersion:0,5.5

Filename: {sys}\netsh.exe; Parameters: "firewall delete allowedprogram program=""{app}\desktop\UdpMark.exe";  Components: desktop32 or desktop64  ;   Flags: skipifdoesntexist runhidden runascurrentuser; OnlyBelowVersion:0,5.5


;ִԵVISTAϵͳ
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall delete rule name=Phoenix_udp_open dir=in protocol=udp ";   Components: desktop32 or desktop64 ;  Flags: skipifdoesntexist runhidden runascurrentuser ; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall delete rule name=Phoenix_tcp_open dir=in protocol=tcp ";   Components: desktop32 or desktop64 ;  Flags: skipifdoesntexist runhidden runascurrentuser; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall delete rule name=Phoenix_udplisten_open dir=in protocol=udp";   Components: desktop32 or desktop64 ; Flags: skipifdoesntexist runhidden runascurrentuser; MinVersion: 0,6.0 
Filename: "{sys}\netsh.exe"; Parameters: "advfirewall firewall delete rule name=UdpMark_udp_open dir=in protocol=udp ";   Components: desktop32 or desktop64 ;  Flags: skipifdoesntexist runhidden  runascurrentuser; MinVersion: 0,6.0 

 





;[UninstallDelete]
;Type: filesandordirs; Name: "{localappdata}\PhoenixP2p"

[Components]
Name: "desktop32"; Description:  "Install 32 bit desktop edition"; Types: full compact custom; Flags: exclusive

Name: "desktop64"; Description: "Install 64 bit desktop edition"; Types: full compact custom; Flags: exclusive ; Check: IsX64

[Files]
; ͼļ (pic0.bmp, pic1.bmp, pic2.bmp ȵ) 
Source: "tmpimges\*.bmp"; DestDir: "{tmp}"; Flags: dontcopy; 
; ͼ pic1.bmp

Source: "pict\*"; DestDir: "{app}\pict"; Flags: ignoreversion ; Components: desktop32 or desktop64   ;BeforeInstall: ChangeImageWhileInstall(1)

Source: "welcome.htm"; DestDir: "{app}"; Flags: ignoreversion ; Components: desktop32 or desktop64  
Source: "update.rtf"; DestDir: "{app}"; Flags: ignoreversion ; Components: desktop32 or desktop64  
Source: "phoenixguide.htm"; DestDir: "{app}"; Flags: ignoreversion  ; Components: desktop32 or desktop64  

 



Source: "desktop32\*"; DestDir: "{app}\desktop"; Components: desktop32  ; Flags: ignoreversion recursesubdirs createallsubdirs; BeforeInstall: ChangeImageWhileInstall(2)
Source: "desktop64\*"; DestDir: "{app}\desktop"; Components: desktop64  ; Flags: ignoreversion recursesubdirs createallsubdirs; BeforeInstall: ChangeImageWhileInstall(2)


; µĽڵбԼ㲥ļݵ
Source: "phoenixadd\*"; DestDir: "{app}\desktop\phoenixset";  Flags: ignoreversion  onlyifdoesntexist; Components: desktop32 or desktop64  ; BeforeInstall: ChangeImageWhileInstall(3)


[Icons]
Name: "{group}\welcom"; Filename: "{app}\welcome.htm"  ; Components: desktop32 or desktop64  

Name: "{group}\Guide"; Filename: "{app}\PhoenixGuide.htm"  ; Components: desktop32 or desktop64  

Name: "{group}\PhoenixP2p"; Filename: "{app}\Desktop\PhoenixP2p.EXE"; WorkingDir: "{app}\Desktop"  ; Components: desktop32 or desktop64  
Name: "{group}\UdpMark"; Filename: "{app}\Desktop\UdpMark.EXE"; WorkingDir: "{app}\Desktop"  ; Components: desktop32 or desktop64  
Name: "{userdesktop}\PhoenixP2p"; Filename: "{app}\Desktop\PhoenixP2p.EXE"; WorkingDir: "{app}\Desktop" ; Components: desktop32 or desktop64  
Name: "{group}\{cm:UninstallProgram,Phoenixp2p}"; Filename: "{uninstallexe}"

[Code]
function IsX64: Boolean;
begin
  Result := Is64BitInstallMode ;
end;

function IsOtherArch: Boolean;
begin
  Result := not IsX64;
end;

function IsWindowsVistaOrLater: Boolean;
begin
  Result := (GetWindowsVersion >= $06000000);
end;





var
  ChangingImg: TBitmapImage;
  LabelDate: Tlabel;

procedure InitializeWizard ();
begin
// ͷͼļ
  ExtractTemporaryFile('cpic0.bmp');
  ExtractTemporaryFile('cpic1.bmp');
  ExtractTemporaryFile('cpic2.bmp');
  ExtractTemporaryFile('cpic3.bmp');
// ڰװҳ洴λͼ
  ChangingImg := TBitmapImage.Create(WizardForm);
  ChangingImg.Parent := WizardForm.InstallingPage;
  ChangingImg.Left := ScaleX(0);
  ChangingImg.Top := ScaleY(78);
  ChangingImg.Width := ScaleX(417);
  ChangingImg.Height := ScaleY(145);
  ChangingImg.Stretch := True;
  ChangingImg.Bitmap.LoadFromFile(ExpandConstant('{tmp}\cpic0.bmp'));  // ʼʱͼ pic0.bmp


WizardForm.WelcomeLabel2.Autosize := true;

LabelDate := Tlabel.Create(WizardForm);

LabelDate.Autosize := true;

LabelDate.Caption := 'ע: [Pay attention:]'#10#13#10#13'Win7/8/Vista/10 ϵͳԹԱִбװ'#10#13#10#13'This installation should run as administrator under win7/8/vista/10';

LabelDate.Parent := WizardForm.WelcomePage;

LabelDate.Left := WizardForm.WelcomeLabel2.Left;

LabelDate.Top := WizardForm.WelcomeLabel2.Top +WizardForm.WelcomeLabel2.Height +80;

end;

Procedure ChangeImageWhileInstall(ImgNo: Integer);
// λͼ
begin
  ChangingImg.Bitmap.LoadFromFile(ExpandConstant('{tmp}\cpic')+IntToStr(ImgNo)+'.bmp');
end;



